- var ListadoCabecera = ["Articulo", "Descripcion", "Color", "Talla", "Cantidad", "Precio", "Total"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss('N')").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div.form-row
            div.form-group.col-6
                h4.font-weight-bold.mr-4 [ {{ tPedidoActual.Codpedido }} ] - {{ tPedidoActual.Tipo }}
                    span.badge.badge-info.ml-4 {{ tPedidoActual.Estatus }}
        div.form-row
            div.form-group.col-6
                label.form-label.h6 Cliente
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-user
                    label(size-label="sm").ControlInput--Label [ {{ tPedidoActual.Codcliente }} ] - {{ tPedidoActual.Descripcion_cliente }}  
            div.form-group.col-6
                label.form-label.h6 Documento
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-passport
                    label(size-label="sm").ControlInput--Label [ {{ tPedidoActual.Tipo_documento }} ] - {{ tPedidoActual.Documento }}  
        div.form-row
            div.form-group.col-4
                label.form-label.h6 Telefono
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-phone
                    label(size-label="sm").ControlInput--Label {{ tPedidoActual.Telefono }}
                    div.input-group-append
                        a(href="https://wa.me/{{tPedidoActual.Telefono}}",
                            target="_blank").input-group-text.bg-Whatsapp
                            i.fab.fa-whatsapp
            div.form-group.col-4
                label.form-label.h6 Email
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-at
                    label(size-label="sm").ControlInput--Label {{ tPedidoActual.Email }}
            div.form-group.col-4
                label.form-label.h6 Cumpleaños
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-birthday-cake
                    label(size-label="sm").ControlInput--Label {{ tPedidoActual.Fecha_nacimiento | date: 'dd/MM/yyyy' }}
        div.form-row
            div.form-group.col-12
                ul(role="tablist").nav.nav-tabs#divOpciones
                    li.nav-item
                        a(data-toggle="tab", href="#Articulos", role="tab", aria-controls="Articulos", aria-selected="true").nav-link.active#Articulos-tab Articulos
                    li.nav-item
                        a(data-toggle="tab", href="#Cupones", role="tab", aria-controls="Cupones", aria-selected="true").nav-link#Cupones-tab Cupones
        div.form-row
            div.form-group.col-12
                div.tab-content#mvDatos
                    div(role="tabpanel", aria-labelledby="Articulos-tab").tab-pane.fade.show.active#Articulos
                        div.form-row
                            div.form-group.col-12
                                div.table-responsive
                                    table.table.table-sm.table-striped.table-hover
                                        thead
                                            tr
                                                th
                                                each Cabecera in ListadoCabecera || []
                                                    th
                                                        h6.font-weight-bold=Cabecera
                                        tbody
                                            tr(*ngFor="let tArticulo of tPedidoActual.LArticulos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
                                                th
                                                    img([src]="tArticulo.Url", alt="").img.thumbnail.rounded.Item-Imagen
                                                td
                                                    h6 {{ tArticulo.Codarticulo }}
                                                td
                                                    h6.text-nowrap {{ tArticulo.Descripcion }}
                                                td
                                                    h6.text-nowrap [ {{ tArticulo.Codcolor }} ] {{ tArticulo.Desc_color }}
                                                td
                                                    h6 {{ tArticulo.Talla }}
                                                td
                                                    h6 {{ tArticulo.Cantidad | number:'1.0-0' }}
                                                td
                                                    h6 {{ tArticulo.Precio | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}
                                                td
                                                    h6 {{ tArticulo.Total | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}
                        div.form-row
                            div.form-group.col-12
                                ngb-pagination([collectionSize]="tPedidoActual.LArticulos.length", 
                                                        [(page)]="tPagina", 
                                                        aria-label="Default pagination",
                                                        [pageSize]="tTamanoPag").d-flex.justify-content-center
                    div(role="tabpanel", aria-labelledby="Cupones-tab").tab-pane.fade#Cupones
        div.form-row.d-flex.justify-content-end
                div.form-group.col-12.col-lg-3
                    div.card.border-left-primary.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.font-weight-bold.text-primary.mb-1 Cantidad
                                    div.h6.mb-0.text-gray-800 {{ tPedidoActual.Total_cantidad | number:'1.0-0' }}
                                div.col-auto
                                    div.fas.fa-calculator.fa-2x.text-gray-300
                div.form-group.col-12.col-lg-3
                    div.card.border-left-danger.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.font-weight-bold.text-danger.mb-1 Descuento
                                    div.h6.mb-0.text-gray-800 {{ tPedidoActual.Total_descuento | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}
                                div.col-auto
                                    div.fas.fa-percent.fa-2x.text-gray-300
                div.form-group.col-12.col-lg-3
                    div.card.border-left-success.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.font-weight-bold.text-success.mb-1 Total
                                    div.h6.mb-0.text-gray-800 {{ tPedidoActual.Total | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}
                                div.col-auto
                                    div.fas.fa-coins.fa-2x.text-gray-300            
div.modal-footer
    button(type="button", (click)="activeModal.close('N')").btn.btn-secondary.mr-2.ml-2 Cerrar 